Subject: Re: linux-next: build failure after merge of the kspp tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 27 Jul 2018 19:06:47 +1000

Hi all,

On Fri, 27 Jul 2018 19:02:07 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the kspp tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> cc1: error: plugin stackleak_plugin should be specified before -fplugin-arg-stackleak_plugin-disable in the command line
> 
> Maybe caused by commit
> 
>   a8b9eaddb9c0 ("gcc-plugins: Add STACKLEAK plugin for tracking the kernel stack")
> 
> I have used the kspp tree from next-20180726 for today.

Well, that obviously didn't work since the tree hasn't changed for a
few days.

I can't see what has interacted to make this happen, so I have dropped
the kspp tree for today.

-- 
Cheers,
Stephen Rothwell